#!/usr/bin/env python3

import argparse
import hashlib
import os

def sha256sum(path):
   h = hashlib.sha256()
   b = bytearray(128*1024)
   mv = memoryview(b)
   filename = os.path.join(path, 'main.js')
   try:
      with open(filename, 'rb', buffering=0) as f:
         for n in iter(lambda: f.readinto(mv), 0):
            h.update(mv[:n])
   except Exception as e:
      print(f'Couldn\'t calculate the hash: {repr(e)}')
      return None
   return h.hexdigest()

# extension_targeting_all_tenants: bd40f88918b7cbd384099cc6e326fe63eaf1489d70fa92e8296d24c70a2a0c9b
# extension_targeting_a_specific_tenant_id: 1aa20489bc6abbd9535190974ca9b8ddf7b33d4691b398289d2fae34fd15de7c
print('extension_targeting_all_tenants:', sha256sum('/Users/dervis.suleyman/Documents/dev3/safeview/service/test/www/88-browser-extensions/extensions/extension_targeting_all_tenants'))
print('extension_targeting_a_specific_tenant_id:', sha256sum('/Users/dervis.suleyman/Documents/dev3/safeview/service/test/www/88-browser-extensions/extensions/extension_targeting_a_specific_tenant_id'))


